edu.isi.pegasus.planner.refiner.createdir

## Interface Implementation

All Known Implementing Classes:
  DefaultImplementation

    public interface Implementation

The interface that defines how the create dir job is created.

Version:
  $Revision$
Author:
  Karan Vahi

### Field Summary

Fields
`static java.lang.String` `VERSION` The version number associated with this API.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `initialize(PegasusBag bag)` Intializes the class.
`Job` `makeCreateDirJob(java.lang.String site, java.lang.String name, java.lang.String directoryURL)` It creates a make directory job that creates a directory on the remote pool using the perl executable that Gaurang wrote.

### Field Detail

#### VERSION

    static final java.lang.String VERSION

The version number associated with this API.

See Also:
  Constant Field Values

### Method Detail

#### initialize

    void initialize(PegasusBag bag)

Intializes the class.

Parameters:
  `bag` - bag of initialization objects

#### makeCreateDirJob

    Job makeCreateDirJob(java.lang.String site,
                         java.lang.String name,
                         java.lang.String directoryURL)

It creates a make directory job that creates a directory on the remote pool using the perl executable that Gaurang wrote. It access mkdir underneath.

Parameters:
  `site` - the execution site for which the create dir job is to be created.
  `name` - the name that is to be assigned to the job.
  `directoryURL` - the externally accessible URL to the directory that is created
Returns:
  create dir job.